Update Instrument
Updates an instrument in store and can update billing address in the provider’s vault. As of this writing, only the Braintree gateway supports updating customer billing addresses. If billing_address is included in the request, an attempt will be made to update the billing address at provider’s vault.
Authentication
X-Auth-Tokenstring
OAuth scopes
Authentication header
Further reading
For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.
For more about BigCommerce OAuth scopes, see our Guide to API Accounts.
For a list of API status codes, see API Status Codes.
Path parameters
store_hash
Permanent ID of the BigCommerce store.
Headers
Accept
The MIME type of the response body.
Request
This endpoint expects an object.
token
billing_address
trusted_shipping_addresses
make_default
Response
Instrument successfully updated.
data
meta
Response metadata.
Errors
401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error